Loading...
Searching...
No Matches
do_copy.c File Reference

Manage Library - Copy element. More...

`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include <grass/vector.h>`
`#include "manage_local_proto.h"`
Include dependency graph for do_copy.c:

Go to the source code of this file.

## Functions

int | M_do_copy (int n, const char *old, const char *mapset, const char *new)
| Copy element.

## Detailed Description

Manage Library - Copy element.

(C) 2001-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file do_copy.c.

## Function Documentation

## M_do_copy()

int M_do_copy | ( | int | n,
|  | const char * | old,
|  | const char * | mapset,
|  | const char * | new )

Copy element.

Parameters

  n | element id
  old | source name
  mapset | name of source mapset
  new | destination name

Returns
  0 on success
  1 on error

Definition at line 35 of file do_copy.c.

References G_debug(), G_file_name(), G_free(), G_fully_qualified_name(), G_make_mapset_object_group(), G_mapset(), G_message(), G_recursive_copy(), G_remove(), G_strcasecmp(), G_verbose_message(), G_warning(), list, and M__hold_signals().